# long_press_widget

A GestureDetector where you can set the Duration for LongPress callback

## Getting Started

### Installing:

Add this to pubspec.yaml

<code> 
dependencies:
  
  custom_long_tap: ^0.0.1
</code>

Import this:

<code>import 'package:custom_long_tap/custom_long_tap.dart';  </code>

Example:


<code>

    CustomLongTap(
  
        widget: Container(
        
          child: Text('Press ME!'),
          
        ),
        
        duration: Duration(seconds: 5),
        
        onShortTap: () {
        
          // do something on normal press
          
        },
        
        onLongTap: () {
        
          // do something on long press
          
        },
        
      ),    
      
</code>
